Crash [@ msim_status_text ] in the myspace protocol plugin.

RESOLVED WORKSFORME

Status

Instantbird
Other
--
major
RESOLVED WORKSFORME
4 years ago
4 years ago

People

(Reporter: clokep, Unassigned)

Tracking

trunk
x86
Windows 7

Details

(Reporter)

Description

4 years ago
*** Original post on bio 567 at 2010-10-28 22:14:00 UTC ***

Since the New JS Buddy list backend landed I've been getting a crash EVERY stand by (not just sometimes like the Oscar bug).

Crash IDs:
http://crash-stats.instantbird.com/report/index/bp-bb1927a3-25d2-45f8-a0c9-70d282101028
http://crash-stats.instantbird.com/report/index/bp-9ae64936-d0ca-41f6-9dd0-8282c2101028
http://crash-stats.instantbird.com/report/index/bp-be8c35fd-1db3-4624-ab08-998572101027

Something to do with trying to set the "status text" I think?
(Reporter)

Comment 1

4 years ago
*** Original post on bio 567 at 2010-11-01 20:07:18 UTC ***

flo suggested checking if this is caused by the MySpace plug-in. Seems that setting this to offline/stand by/closing Instantbird/anything that changes the status of MySpace causes Instantbird to crash.

Unchecking sign in automatically fixed this. I'm not sure if this is an Instantbird or a libpurple issue then.
*** Original post on bio 567 at 2010-11-01 21:25:41 UTC ***

(In reply to comment #1)
> Unchecking sign in automatically fixed this. I'm not sure if this is an
> Instantbird or a libpurple issue then.

By "fixed", do you mean that connecting your myspace account by hand doesn't cause cause the crash when you disconnect it?
(Reporter)

Comment 3

4 years ago
*** Original post on bio 567 at 2010-11-01 21:55:24 UTC ***

(In reply to comment #2)
> (In reply to comment #1)
> > Unchecking sign in automatically fixed this. I'm not sure if this is an
> > Instantbird or a libpurple issue then.
> 
> By "fixed", do you mean that connecting your myspace account by hand doesn't
> cause cause the crash when you disconnect it?
No, sorry. That was very vague. By "fixed" I meant that Instantbird will stop crashing when I never connect to my MySpace account.
*** Original post on bio 567 at 2010-11-01 23:03:39 UTC ***

(In reply to comment #3)
> [...] Instantbird will stop crashing when I never connect to my MySpace account.

Ok, I've edited the summary to reflect this.
Summary: Crash on stand-by → Crash [@ msim_status_text ] in the myspace protocol plugin.
(Reporter)

Comment 5

4 years ago
*** Original post on bio 567 at 2011-01-25 05:11:37 UTC ***

I was hoping this would be fixed by the libpurple update, but I'm still getting it: http://crash-stats.instantbird.com/report/index/510ff2e0-8117-408a-9f0f-f113d2110125
(Reporter)

Comment 6

4 years ago
*** Original post on bio 567 at 2011-09-13 01:42:34 UTC ***

Seems this was fixed by either upgrading libpurple (or perhaps the timer fix that fixed the oscar crash).
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.